/*
*************************************************************************************
*                         			eGon
*					        Application Of eGon2.0
*
*				(c) Copyright 2006-2010, All winners Co,Ld.
*							All	Rights Reserved
*
* File Name 	: BootMain_Private.h
*
* Author 		: javen
*
* Description 	: ˽ݽṹ
*
* History 		:
*      <author>    		<time>       	<version >    		<desc>
*       javen     	   2010-09-10          1.0            create this file
*
*************************************************************************************
*/
#ifndef  __BOOT_IMG__
#define  __BOOT_IMG__


#define    BOOT_OS_MELIS                1
#define    BOOT_OS_LINUX                2
#define    BOOT_OS_WINCE                3
#define    BOOT_OS_ANDROID              4


typedef struct _boot_img_cfg
{
    char  file_name[20];
    char  file_name_bk[20];
    __u32 base_addr;
    __u32 used_size;
    __u32 full_size;
}
boot_img_cfg_t;

typedef struct boot_img_t
{
    char               img_name[32];         //32ֽļƣȫ·
    __u32              img_size;             //󳤶
    __u32              img_full_size;        //ʵʳ
    __u32              img_base;             //ŵڴеλ
}
boot_img_set_t;

typedef struct  boot_sys_img_t
{
    char               os_name[32];          //OS
    __s32              start_mode;           //ģʽ 0:վļķʽ 1:շݵķʽ
    boot_img_set_t     img_set[16];          //ָ
    boot_img_set_t     script_info;          //ָűϢ
    __u32              img_count;            //ǰOSӵеľ
    char               logo_name[32];        //ʾlogo·
    __s32              logo_show;            //ǷҪʾLOGO
    __u32              logo_address;         //logoַ
    __s32			   logo_off;             //ϵͳǰǷҪرLOGO
}
boot_sys_img_set_t;

typedef struct boot_global_info
{
    __s32              os_count;             //ܹOS
    char               os_name[8][32];       //OS, 0ûѡ1MELIS2LINUX3WINCE
    char               start_os_name[32];    //ǰOS
    __s32              start_os_index;       //ǰOS±
    __s32              last_os_name;         //ϴOS
    __s32              user_set_timeout;     //Ƕϵͳϵͳѡʱʱ
    __s32              display_device;       //ʾLCDTVHDMI
    __s32              display_mode;         //ʾģʽ
    pic_name_info_t    os_pic[8];            //OS
}
boot_global_info_t;


#endif   //__BOOT_IMG__

